Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jbo.uicli.jui
Class JUSpinnerDef.SpinnerDateModelDef

`java.lang.Object
oracle.jbo.common.NamedObjectImpl
oracle.jbo.mom.DefinitionObject
oracle.adf.model.binding.DCDefBase
oracle.jbo.uicli.jui.JUSpinnerDef.SpinnerDateModelDef`

Enclosing class:
  JUSpinnerDef

public static class JUSpinnerDef.SpinnerDateModelDef
extends oracle.adf.model.binding.DCDefBase

Field Summary
`static java.lang.String` | `ELEMENT_NAME`
`static java.lang.String` | `PNAME_CalendarField`
`static java.lang.String` | `PNAME_CurrentDate`
`static java.lang.String` | `PNAME_EndDate`
`static java.lang.String` | `PNAME_FormatStringForConversion`
`static java.lang.String` | `PNAME_StartDate`

Fields inherited from class oracle.adf.model.binding.DCDefBase
`DEF_XMLNS, DEF_XMLNS_BASE, PNAME_AccessorIterator, PNAME_Action, PNAME_Boolean, PNAME_Button, PNAME_ButtonGroup, PNAME_ComboBox, PNAME_DataControlAction, PNAME_DefaultControl, PNAME_DynamicTable, PNAME_EnumList, PNAME_FormattedTextField, PNAME_Graph, PNAME_HGrid, PNAME_Iterator, PNAME_Label, PNAME_ListSingleSel, PNAME_LovButton, PNAME_LOVList, PNAME_MethodAction, PNAME_MethodIterator, PNAME_NavigationBar, PNAME_NavigationList, PNAME_Panel, PNAME_Parameter, PNAME_ProgressBar, PNAME_ProgressBarAttr, PNAME_Range, PNAME_ScrollBar, PNAME_ScrollBarAttr, PNAME_Slider, PNAME_SliderAttr, PNAME_Spinner, PNAME_Table, PNAME_TextField, PNAME_ToplinkIterator, PNAME_Tree`

Fields inherited from class oracle.jbo.mom.DefinitionObject
`mBaseDefObject, mExtendedDefObjects, mObjectResolved`

Fields inherited from class oracle.jbo.common.NamedObjectImpl
`mFullName, mObjName, mParent, mProperties`

Constructor Summary
`JUSpinnerDef.SpinnerDateModelDef()`

Method Summary
`int` | `getCalendarField()`
`java.lang.String` | `getCurrentDate()`
`java.lang.String` | `getEndDate()`
`java.lang.String` | `getFormatStringForConversion()`
`java.lang.String` | `getStartDate()`
`java.lang.String` | `getXMLElementTag()`
`void` | `init(java.util.HashMap initValues)`
`protected void` | `retrieveFromXML(DefElement xmlElement, java.util.HashMap valueTab)`
`void` | `setCalendarField(int field)`
`void` | `setCurrentDate(java.lang.String date)`
`void` | `setEndDate(java.lang.String date)`
`void` | `setFormatStringForConversion(java.lang.String fmt)`
`void` | `setStartDate(java.lang.String date)`

Methods inherited from class oracle.adf.model.binding.DCDefBase
`convertToBoolean, convertToInt, convertToIntArray, createAndLoadFromXML, getDefClassName, getSubType, initSubType, isDirty, isNew, loadChildrenFromXML, loadFromXML, readXMLBoolean, readXMLInt, readXMLString, readXMLStringArray, readXMLStringArrayList, readXMLStringArrayList, setDefClassName, setDirty, setNew, setSubType`

Methods inherited from class oracle.jbo.mom.DefinitionObject
`addExtendedDefObject, finishedLoading, getBaseDefObject, getContainerDef, getContainerName, getExtendedDefObjects, hasExtendedDefObjects, isBaseDefFor, isDynamicDefinitionObject, isObjectResolved, loadProperties, resolveReferences, setBaseDefObject, setName, setObjectResolved, setParent`

Methods inherited from class oracle.jbo.common.NamedObjectImpl
`getFullName, getName, getParent, getProperties, getPropertiesAsStrings, getPropertiesMap, getProperty, refreshProperty, setFullName, setPropertiesMap, setProperty`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ELEMENT_NAME

    public static final java.lang.String ELEMENT_NAME

  See Also:
    Constant Field Values

### PNAME_StartDate

    public static final java.lang.String PNAME_StartDate

  See Also:
    Constant Field Values

### PNAME_EndDate

    public static final java.lang.String PNAME_EndDate

  See Also:
    Constant Field Values

### PNAME_CurrentDate

    public static final java.lang.String PNAME_CurrentDate

  See Also:
    Constant Field Values

### PNAME_FormatStringForConversion

    public static final java.lang.String PNAME_FormatStringForConversion

  See Also:
    Constant Field Values

### PNAME_CalendarField

    public static final java.lang.String PNAME_CalendarField

  See Also:
    Constant Field Values

Constructor Detail

### JUSpinnerDef.SpinnerDateModelDef

    public JUSpinnerDef.SpinnerDateModelDef()

Method Detail

### setStartDate

    public void setStartDate(java.lang.String date)

### getStartDate

    public java.lang.String getStartDate()

### setEndDate

    public void setEndDate(java.lang.String date)

### getEndDate

    public java.lang.String getEndDate()

### setCurrentDate

    public void setCurrentDate(java.lang.String date)

### getCurrentDate

    public java.lang.String getCurrentDate()

### setFormatStringForConversion

    public void setFormatStringForConversion(java.lang.String fmt)

### getFormatStringForConversion

    public java.lang.String getFormatStringForConversion()

### setCalendarField

    public void setCalendarField(int field)

  Parameters:
    `field` - : constant defined in java.util.Calendar Calendar.Year etc.,

### getCalendarField

    public int getCalendarField()

### init

    public void init(java.util.HashMap initValues)

### getXMLElementTag

    public java.lang.String getXMLElementTag()

### retrieveFromXML

    protected void retrieveFromXML(DefElement xmlElement,
                                   java.util.HashMap valueTab)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1997, 2005, Oracle. All rights reserved.